check if the C++ compiler is avalaible (or not)
Sylvestre Ledru [Tue, 30 Oct 2007 17:10:23 +0000 (17:10 +0000)]
69 files changed:
scilab/Makefile.in
scilab/configure
scilab/configure.ac
scilab/libs/MALLOC/Makefile.in
scilab/libs/Makefile.in
scilab/libs/blas/Makefile.in
scilab/libs/doublylinkedlist/Makefile.in
scilab/libs/dynamiclibrary/Makefile.in
scilab/libs/hashtable/Makefile.in
scilab/libs/lapack/Makefile.in
scilab/libs/libst/Makefile.in
scilab/modules/Makefile.in
scilab/modules/action_binding/Makefile.in
scilab/modules/arnoldi/Makefile.in
scilab/modules/boolean/Makefile.in
scilab/modules/cacsd/Makefile.in
scilab/modules/compatibility_functions/Makefile.in
scilab/modules/completion/Makefile.in
scilab/modules/console/Makefile.in
scilab/modules/core/Makefile.in
scilab/modules/data_structures/Makefile.in
scilab/modules/development_tools/Makefile.in
scilab/modules/differential_equations/Makefile.in
scilab/modules/double/Makefile.in
scilab/modules/elementary_functions/Makefile.in
scilab/modules/fftw/Makefile.in
scilab/modules/fileio/Makefile.in
scilab/modules/functions/Makefile.in
scilab/modules/graphics/Makefile.in
scilab/modules/gui/Makefile.in
scilab/modules/helptools/Makefile.in
scilab/modules/history_manager/Makefile.in
scilab/modules/incremental_link/Makefile.in
scilab/modules/integer/Makefile.in
scilab/modules/interpolation/Makefile.in
scilab/modules/intersci/Makefile.in
scilab/modules/io/Makefile.in
scilab/modules/javasci/Makefile.in
scilab/modules/jvm/Makefile.in
scilab/modules/linear_algebra/Makefile.in
scilab/modules/localization/Makefile.in
scilab/modules/m2sci/Makefile.in
scilab/modules/maple2scilab/Makefile.in
scilab/modules/metanet/Makefile.in
scilab/modules/mexlib/Makefile.in
scilab/modules/optimization/Makefile.in
scilab/modules/others/Makefile.in
scilab/modules/output_stream/Makefile.in
scilab/modules/overloading/Makefile.in
scilab/modules/polynomials/Makefile.in
scilab/modules/pvm/Makefile.in
scilab/modules/randlib/Makefile.in
scilab/modules/renderer/Makefile.in
scilab/modules/scicos/Makefile.in
scilab/modules/scilab2fortran/Makefile.in
scilab/modules/scipad/Makefile.in
scilab/modules/shell/Makefile.in
scilab/modules/signal_processing/Makefile.in
scilab/modules/sound/Makefile.in
scilab/modules/sparse/Makefile.in
scilab/modules/special_functions/Makefile.in
scilab/modules/spreadsheet/Makefile.in
scilab/modules/statistics/Makefile.in
scilab/modules/string/Makefile.in
scilab/modules/symbolic/Makefile.in
scilab/modules/tclsci/Makefile.in
scilab/modules/texmacs/Makefile.in
scilab/modules/time/Makefile.in
scilab/modules/windows_tools/Makefile.in

index 6e0aea9..6ba6461 100644 (file)
@@ -254,6 +254,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 67f43fd..6ff4789 100755 (executable)
@@ -860,6 +860,7 @@ ac_ct_CXX
 CXXDEPMODE
 am__fastdepCXX_TRUE
 am__fastdepCXX_FALSE
+cxx_present
 IS_HPUX_TRUE
 IS_HPUX_FALSE
 IS_SPARC_TRUE
@@ -7563,14 +7564,50 @@ else
 fi
 
 
-echo "CXX " $CXX
-if test -z "$CXX"; then
-  { { echo "$as_me:$LINENO: error: No C++ Compiler found. Cannot compile Scilab without a C++ compiler" >&5
-echo "$as_me: error: No C++ Compiler found. Cannot compile Scilab without a C++ compiler" >&2;}
-   { (exit 1); exit 1; }; }
+# Extract the first word of "$CXX", so it can be a program name with args.
+set dummy $CXX; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_cxx_present+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$cxx_present"; then
+  ac_cv_prog_cxx_present="$cxx_present" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_cxx_present=""yes""
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  test -z "$ac_cv_prog_cxx_present" && ac_cv_prog_cxx_present=""no""
+fi
+fi
+cxx_present=$ac_cv_prog_cxx_present
+if test -n "$cxx_present"; then
+  { echo "$as_me:$LINENO: result: $cxx_present" >&5
+echo "${ECHO_T}$cxx_present" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
 
+if test "x$cxx_present" != "xyes"; then
+    { { echo "$as_me:$LINENO: error: No C++ compiler found. Cannot compile scilab without a C++ compiler" >&5
+echo "$as_me: error: No C++ compiler found. Cannot compile scilab without a C++ compiler" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 # for "subdir-objects"
 
 if test "x$CC" != xcc; then
@@ -8278,7 +8315,7 @@ echo "${ECHO_T}$ac_java_classpath" >&6; }
 echo $ECHO_N "checking to see if the java compiler works... $ECHO_C" >&6; }
 
     cat << \EOF > conftest.java
-// #line 8281 "configure"
+// #line 8318 "configure"
 
 
 public class conftest {
@@ -8328,7 +8365,7 @@ echo $ECHO_N "checking type of jvm... $ECHO_C" >&6; }
     if test "x$ac_java_jvm_name" = "x" ; then
 
     cat << \EOF > conftest.java
-// #line 8331 "configure"
+// #line 8368 "configure"
 import gnu.java.io.EncodingManager;
 
 public class conftest {
@@ -8376,7 +8413,7 @@ echo $ECHO_N "checking java API version... $ECHO_C" >&6; }
 
 
     cat << \EOF > conftest.java
-// #line 8379 "configure"
+// #line 8416 "configure"
 import java.nio.charset.Charset;
 
 public class conftest {
@@ -8403,7 +8440,7 @@ EOF
 
 
     cat << \EOF > conftest.java
-// #line 8406 "configure"
+// #line 8443 "configure"
 import java.lang.StringBuilder;
 
 public class conftest {
@@ -9591,7 +9628,7 @@ echo $ECHO_N "checking flexdock... $ECHO_C" >&6; }
           export ac_java_classpath="$jar_resolved:$ac_java_classpath"
 
     cat << \EOF > conftest.java
-// #line 9594 "configure"
+// #line 9631 "configure"
 import org.flexdock.docking.DockingManager;
 
 public class conftest {
@@ -9654,7 +9691,7 @@ echo $ECHO_N "checking jogl... $ECHO_C" >&6; }
           export ac_java_classpath="$jar_resolved:$ac_java_classpath"
 
     cat << \EOF > conftest.java
-// #line 9657 "configure"
+// #line 9694 "configure"
 import javax.media.opengl.GL;
 
 public class conftest {
@@ -9717,7 +9754,7 @@ echo $ECHO_N "checking gluegen-rt... $ECHO_C" >&6; }
           export ac_java_classpath="$jar_resolved:$ac_java_classpath"
 
     cat << \EOF > conftest.java
-// #line 9720 "configure"
+// #line 9757 "configure"
 import com.sun.gluegen.runtime.CPU;
 
 public class conftest {
@@ -9780,7 +9817,7 @@ echo $ECHO_N "checking JRosetta-API-1.0... $ECHO_C" >&6; }
           export ac_java_classpath="$jar_resolved:$ac_java_classpath"
 
     cat << \EOF > conftest.java
-// #line 9783 "configure"
+// #line 9820 "configure"
 import com.artenum.rosetta.interfaces.core.ConsoleConfiguration;
 
 public class conftest {
@@ -9843,7 +9880,7 @@ echo $ECHO_N "checking JRosetta-1.0... $ECHO_C" >&6; }
           export ac_java_classpath="$jar_resolved:$ac_java_classpath"
 
     cat << \EOF > conftest.java
-// #line 9846 "configure"
+// #line 9883 "configure"
 import com.artenum.rosetta.core.action.AbstractConsoleAction;
 
 public class conftest {
@@ -9906,7 +9943,7 @@ echo $ECHO_N "checking commons-logging... $ECHO_C" >&6; }
           export ac_java_classpath="$jar_resolved:$ac_java_classpath"
 
     cat << \EOF > conftest.java
-// #line 9909 "configure"
+// #line 9946 "configure"
 import org.apache.commons.logging.LogFactory;
 
 public class conftest {
@@ -17236,7 +17273,7 @@ CPPFLAGS="$CPPFLAGS -I$CHK_TCL_INCLUDE_PATH"
 { echo "$as_me:$LINENO: checking if tcl is version $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later" >&5
 echo $ECHO_N "checking if tcl is version $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later... $ECHO_C" >&6; }
 cat > conftest.$ac_ext <<EOF
-#line 17239 "configure"
+#line 17276 "configure"
 #include "confdefs.h"
 
 #include "$CHK_TCL_INCLUDE_PATH/$CHK_TCL_INC_NAME"
@@ -17597,7 +17634,7 @@ CPPFLAGS="$CPPFLAGS $TCL_INC_PATH -I$CHK_TK_INCLUDE_PATH $X_CFLAGS"
 echo $ECHO_N "checking if tk is version $CHK_TK_MAJOR.$CHK_TK_MINOR or later... $ECHO_C" >&6; }
 
 cat > conftest.$ac_ext <<EOF
-#line 17600 "configure"
+#line 17637 "configure"
 #include "confdefs.h"
 
 #include "$CHK_TK_INCLUDE_PATH/$CHK_TK_INC_NAME"
@@ -19179,13 +19216,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:19182: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:19219: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:19185: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:19222: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:19188: output\"" >&5)
+  (eval echo "\"\$as_me:19225: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -20271,7 +20308,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 20274 "configure"' > conftest.$ac_ext
+  echo '#line 20311 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -21865,11 +21902,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:21868: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:21905: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:21872: \$? = $ac_status" >&5
+   echo "$as_me:21909: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -22187,11 +22224,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:22190: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:22227: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:22194: \$? = $ac_status" >&5
+   echo "$as_me:22231: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -22292,11 +22329,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:22295: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:22332: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:22299: \$? = $ac_status" >&5
+   echo "$as_me:22336: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -22347,11 +22384,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:22350: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:22387: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:22354: \$? = $ac_status" >&5
+   echo "$as_me:22391: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -25096,7 +25133,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 25099 "configure"
+#line 25136 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -25196,7 +25233,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 25199 "configure"
+#line 25236 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -27218,11 +27255,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:27221: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:27258: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:27225: \$? = $ac_status" >&5
+   echo "$as_me:27262: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -27317,11 +27354,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:27320: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:27357: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:27324: \$? = $ac_status" >&5
+   echo "$as_me:27361: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -27369,11 +27406,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:27372: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:27409: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:27376: \$? = $ac_status" >&5
+   echo "$as_me:27413: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -28744,11 +28781,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:28747: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:28784: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:28751: \$? = $ac_status" >&5
+   echo "$as_me:28788: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -28843,11 +28880,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:28846: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:28883: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:28850: \$? = $ac_status" >&5
+   echo "$as_me:28887: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -28895,11 +28932,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:28898: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:28935: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:28902: \$? = $ac_status" >&5
+   echo "$as_me:28939: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -32497,7 +32534,7 @@ ac_ct_CXX!$ac_ct_CXX$ac_delim
 CXXDEPMODE!$CXXDEPMODE$ac_delim
 am__fastdepCXX_TRUE!$am__fastdepCXX_TRUE$ac_delim
 am__fastdepCXX_FALSE!$am__fastdepCXX_FALSE$ac_delim
-IS_HPUX_TRUE!$IS_HPUX_TRUE$ac_delim
+cxx_present!$cxx_present$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -32539,6 +32576,7 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+IS_HPUX_TRUE!$IS_HPUX_TRUE$ac_delim
 IS_HPUX_FALSE!$IS_HPUX_FALSE$ac_delim
 IS_SPARC_TRUE!$IS_SPARC_TRUE$ac_delim
 IS_SPARC_FALSE!$IS_SPARC_FALSE$ac_delim
@@ -32633,7 +32671,7 @@ tcldir!$tcldir$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 93; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index c92d1da..b18b060 100644 (file)
@@ -185,12 +185,11 @@ fi
 
 ### C++ ###
 AC_PROG_CXX
-echo "CXX " $CXX
-if test -z "$CXX"; then
-  AC_MSG_ERROR([No C++ Compiler found. Cannot compile Scilab without a C++ compiler])
+AC_CHECK_PROG(cxx_present, $CXX, "yes", "no")
+if test "x$cxx_present" != "xyes"; then
+    AC_MSG_ERROR([No C++ compiler found. Cannot compile scilab without a C++ compiler])
 fi
 
-
 # for "subdir-objects"
 
 AM_PROG_CC_C_O
index 42582db..048bcd0 100644 (file)
@@ -229,6 +229,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 050aeea..e4fa33f 100644 (file)
@@ -193,6 +193,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 315ad2d..abf4be2 100644 (file)
@@ -227,6 +227,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 0b01de8..86a67a4 100644 (file)
@@ -231,6 +231,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 251cb2c..1cb544f 100644 (file)
@@ -231,6 +231,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 0885cad..3cc8682 100644 (file)
@@ -226,6 +226,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index bf0b831..4015951 100644 (file)
@@ -275,6 +275,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index f834f1c..f580adb 100644 (file)
@@ -221,6 +221,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 6809756..728e17c 100644 (file)
@@ -295,6 +295,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 8900095..371de66 100644 (file)
@@ -254,6 +254,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 755bfa3..439e9c8 100644 (file)
@@ -278,6 +278,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 8d5b7ea..d8b6424 100644 (file)
@@ -252,6 +252,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index dd80689..2937968 100644 (file)
@@ -351,6 +351,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 2090278..07476e7 100644 (file)
@@ -207,6 +207,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 36e9e65..1839dc1 100644 (file)
@@ -260,6 +260,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index b868a65..61bc431 100644 (file)
@@ -270,6 +270,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 16e05ae..2b0e808 100644 (file)
@@ -368,6 +368,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 9679aa4..d5aae63 100644 (file)
@@ -268,6 +268,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 31ab961..43ee00f 100644 (file)
@@ -206,6 +206,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 76a9d31..da674e1 100644 (file)
@@ -284,6 +284,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 15df485..37605de 100644 (file)
@@ -238,6 +238,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 431ad10..cb8d42b 100644 (file)
@@ -614,6 +614,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index ef1b20e..11fe61c 100644 (file)
@@ -271,6 +271,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 8e6ac04..b0bdcd1 100644 (file)
@@ -280,6 +280,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 8458c31..a00402f 100644 (file)
@@ -205,6 +205,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 1da5703..9e69b0f 100644 (file)
@@ -1018,6 +1018,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 6390409..a1a965b 100644 (file)
@@ -300,6 +300,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index ed61817..5a30078 100644 (file)
@@ -205,6 +205,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 86dad99..410b2c2 100644 (file)
@@ -295,6 +295,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 9920669..b6c371c 100644 (file)
@@ -213,6 +213,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 790b00f..8123ec6 100644 (file)
@@ -283,6 +283,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 33faa98..7758ac5 100644 (file)
@@ -271,6 +271,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index f8aa1cc..2565808 100644 (file)
@@ -243,6 +243,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index ff7414b..8f0de22 100644 (file)
@@ -275,6 +275,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index dc209b2..5bdd1cf 100644 (file)
@@ -258,6 +258,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index ea927a9..1f05e3a 100644 (file)
@@ -271,6 +271,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 38d19d7..2c39aee 100644 (file)
@@ -282,6 +282,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index cbd373a..2a02fa8 100644 (file)
@@ -248,6 +248,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index f08f017..fe18241 100644 (file)
@@ -205,6 +205,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 59a146a..65aeca6 100644 (file)
@@ -205,6 +205,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index a624911..98ebaaa 100644 (file)
@@ -282,6 +282,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index ac4e83a..684ab12 100644 (file)
@@ -250,6 +250,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index d3cec94..5be32b1 100644 (file)
@@ -283,6 +283,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index c772b67..b2c4fdb 100644 (file)
@@ -208,6 +208,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 29e0dee..7764fdb 100644 (file)
@@ -245,6 +245,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index c04c572..295a010 100644 (file)
@@ -206,6 +206,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 37f9b9b..3e11f7c 100644 (file)
@@ -277,6 +277,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index ed4da8d..b62b9ad 100644 (file)
@@ -325,6 +325,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 2dcc8db..b73ff48 100644 (file)
@@ -257,6 +257,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 97294fe..03915f2 100644 (file)
@@ -508,6 +508,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 30458a5..e23d2c3 100644 (file)
@@ -453,6 +453,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 4a67c67..cee8d85 100644 (file)
@@ -209,6 +209,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 864593f..7b2460c 100644 (file)
@@ -205,6 +205,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index fc9e045..5dae38f 100644 (file)
@@ -248,6 +248,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 3927dc1..c14e872 100644 (file)
@@ -272,6 +272,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index b757329..b95f3d2 100644 (file)
@@ -246,6 +246,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index b3de853..e5436a2 100644 (file)
@@ -284,6 +284,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 5a82e52..8973b90 100644 (file)
@@ -265,6 +265,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 06c2ec9..751fbe7 100644 (file)
@@ -253,6 +253,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 24ef5c0..c68b761 100644 (file)
@@ -270,6 +270,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 2d65bf5..58554e3 100644 (file)
@@ -262,6 +262,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 07b3252..87a8f7f 100644 (file)
@@ -247,6 +247,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 28c5fb2..f88e2c2 100644 (file)
@@ -330,6 +330,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index e9c3a4d..8abc8c3 100644 (file)
@@ -205,6 +205,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index 327d73e..0dd1992 100644 (file)
@@ -245,6 +245,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@
index df29b30..ab03a73 100644 (file)
@@ -242,6 +242,7 @@ build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
 builddir = @builddir@
+cxx_present = @cxx_present@
 datadir = @datadir@
 datarootdir = @datarootdir@
 docdir = @docdir@